import { IShapeAnchorPoint } from "#ie/vehicle-positions/workers/vehicle-positions/interfaces/VPInterfaces";

export const AnchorPointsFixture: IShapeAnchorPoint[] = [
    {
        index: 0,
        at_stop: true,
        bearing: 33,
        coordinates: [14.34679, 50.09539],
        distance_from_last_stop: 0,
        last_stop_sequence: 1,
        next_stop_sequence: 2,
        shape_dist_traveled: 0,
        this_stop_sequence: 1,
        time_scheduled_seconds: 38760,
    },
    {
        index: 1,
        at_stop: true,
        bearing: 32,
        coordinates: [14.3468, 50.0954],
        distance_from_last_stop: 0.001,
        last_stop_sequence: 1,
        next_stop_sequence: 2,
        shape_dist_traveled: 0.001,
        this_stop_sequence: 1,
        time_scheduled_seconds: 38760,
    },
    {
        index: 2,
        at_stop: false,
        bearing: 260,
        coordinates: [14.34724, 50.09586],
        distance_from_last_stop: 0.101,
        last_stop_sequence: 1,
        next_stop_sequence: 2,
        shape_dist_traveled: 0.101,
        this_stop_sequence: null,
        time_scheduled_seconds: 38773,
    },
    {
        index: 3,
        at_stop: false,
        bearing: 255,
        coordinates: [14.34597, 50.09571],
        distance_from_last_stop: 0.201,
        last_stop_sequence: 1,
        next_stop_sequence: 2,
        shape_dist_traveled: 0.201,
        this_stop_sequence: null,
        time_scheduled_seconds: 38785,
    },
    {
        index: 4,
        at_stop: false,
        bearing: 255,
        coordinates: [14.34461, 50.09547],
        distance_from_last_stop: 0.302,
        last_stop_sequence: 1,
        next_stop_sequence: 2,
        shape_dist_traveled: 0.302,
        this_stop_sequence: null,
        time_scheduled_seconds: 38798,
    },
    {
        index: 5,
        at_stop: true,
        bearing: 270,
        coordinates: [14.31468, 50.09303],
        distance_from_last_stop: 0,
        last_stop_sequence: 3,
        next_stop_sequence: 4,
        shape_dist_traveled: 2.483,
        this_stop_sequence: 3,
        time_scheduled_seconds: 39060,
    },
    {
        index: 6,
        at_stop: true,
        bearing: 273,
        coordinates: [14.3146, 50.09303],
        distance_from_last_stop: 0.005,
        last_stop_sequence: 3,
        next_stop_sequence: 4,
        shape_dist_traveled: 2.488,
        this_stop_sequence: 3,
        time_scheduled_seconds: 39060,
    },
    {
        index: 7,
        at_stop: false,
        bearing: 274,
        coordinates: [14.31321, 50.09308],
        distance_from_last_stop: 0.106,
        last_stop_sequence: 3,
        next_stop_sequence: 4,
        shape_dist_traveled: 2.589,
        this_stop_sequence: null,
        time_scheduled_seconds: 39069,
    },
];
